## compartment 1.1.0

=== Makefile ===
CC=gcc
OPTS=-Wall -O2
BIN_DIR=/usr/sbin
BIN_LIST=compartment
DOC_DIR=/usr/doc/packages/compartment
DOC_LIST=README LICENCE CHANGES TODO
MAN_DIR=/usr/share/man/man1
MAN_LIST=compartment.1

all:	compartment

compartment: compartment.c
	${CC} ${OPTS} -o ${BIN_LIST} compartment.c
	strip ${BIN_LIST}

clean:
	rm -f ${BIN_LIST} core *~

install:	compartment
	install -o root -g root -m 751 ${BIN_LIST} ${BIN_DIR}
	install -d -o root -g root -m 755 ${DOC_DIR}
	install -o root -g root -m 644 ${DOC_LIST} ${DOC_DIR}
	install -d -o root -g root -m 755 ${MAN_DIR}
	install -o root -g root -m 644 ${MAN_LIST} ${MAN_DIR}

=== debian/changelog ===
compartment (1.1.0-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089309)

 -- Niels Thykier <niels@thykier.net>  Thu, 02 Jan 2025 17:30:35 +0000

compartment (1.1.0-5.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007416)

 -- Bastian Germann <bage@debian.org>  Mon, 02 Oct 2023 22:16:27 +0200

compartment (1.1.0-5) unstable; urgency=medium

  * debian/rules: Use simplified debhelper version
  * debian/control:
        - Update maintainer name, use UTF-8
        - Build-depend on debhelper (>= 9).
        - Upgrade standards-version
        - Depend on ${misc:Depends}.
        - Use arch linux-any (Closes: #745192)
        - Improve description (Closes: #485850)
        - Add homepage
  * debian/compat: Indicate compatibility level of 9. (Closes: #817318, #817406)
  Thanks to Logan Rosen for the patch used in Ubuntu, 

  * Makefile: 
       - use CCFLAGS, CPPFLAGS when compiling (to enable hardening features)
         and use DESTDIR to install files in their proper location
       - strip binary when installing
       - do not install LICENSE in the documentation directory
  * comparment: Fix error when compiling with  -Werror=format-security
  * debian/watch: Add watch file

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 04 Jan 2017 01:11:57 +0100

compartment (1.1.0-4) unstable; urgency=medium

  * Remove CAP_FS_MASK since it has been removed from
    include/linux/capabilities.h this fix a FTBFS bug (Closes: #479890)
  * Fix Warning error in compartment.c
  * Remove the 'strip' call in the Makefile so dh_strip can do its job
    (Closes: #436656)
  * Lintian fix: fix FSF address in debian/copyright file

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sat, 31 May 2008 09:11:17 +0200

compartment (1.1.0-3) unstable; urgency=low

  * Fix typo in package description (Closes: #363212)
  * Use debhelper compatibility version 4
  * Bump standard versions (no changes needed)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 30 Apr 2006 13:01:14 +0200

compartment (1.1.0-2) unstable; urgency=low

  * Fix a FTBFS whe compiling with gcc-4 with a patch provided by
    Andreas Jochens (Closes: #285596)
  * Use dh_installman instead of dh_installmanpages
  * Update FSF's address in debian/copyright

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 25 Feb 2005 01:22:10 +0100

compartment (1.1.0-1) unstable; urgency=low

  * Forced bump of source version in order to remove binary from the
    original sources (Closes: #222515)
  * Fixed debian/copyright (proper GPL notice)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 24 Dec 2003 13:43:49 +0100

compartment (1.1-5) unstable; urgency=low

  * Updated Standard-Version
  * Remove dh_make boilerplate

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 28 Oct 2003 02:23:45 +0100

compartment (1.1-4) unstable; urgency=low

  * Removed multiline strings from compartment.c to compile properly 
    with gcc-3.3 (Closes: #194887)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 27 May 2003 23:34:01 +0200

compartment (1.1-3) unstable; urgency=low

  * Fixed maintainer field (missing a ~)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 27 May 2002 18:14:33 +0200

compartment (1.1-2) unstable; urgency=low

  * Fixed description (Closes: #147758)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 27 May 2002 17:40:28 +0200

compartment (1.1-1) unstable; urgency=low

  * Initial Release (Closes: #117997)
  * Modified the Makefile so binaries are installed independently
  * Added information on Debian on the manpage
  * Small change to the sources so that logs appear with just
    plain compartment.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  2 May 2002 01:33:20 +0200

=== debian/control ===
Source: compartment
Section: admin
Priority: optional
Maintainer: Javier Fernandez-Sanguino Peña <jfs@debian.org>
Build-Depends: debhelper (>=9)
Homepage: http://www.baseline-security.de/downloads.html.en
Rules-Requires-Root: binary-targets
Standards-Version: 3.9.4

Package: compartment
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Confine services in a limited environment
 Compartment was designed to allow safe execution of privileged and/or
 untrusted executables and services. It can execute a process:
  - Setting specific Linux capabilities
  - Chrooting it to a certain location
  - setting the user or group it will run with
  - running a program before it is executed
 These features can be used to minimize the risk of a trojanized or vulnerable
 program/service.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# main packaging script based on debhelper syntax
%:
	dh $@

=== debian/watch ===
version=3
http://www.baseline-security.de/downloads.html.en downloads/compartment-(.+)\.tar\.gz
#http://ww.baseline-security.de/downloads/compartment_(.+).tar.gz

## compartment 1.3

=== Makefile ===
# Makefile for compartment

OPTS=$(RPM_OPT_FLAGS)
ROOT=$(RPM_BUILD_ROOT)

ifeq ($(CC),)
	CC=gcc
endif
ifeq ($(RPM_OPT_FLAGS),)
	OPTS=-Wall -O2
endif
ifeq ($(RPM_BUILD_ROOT),)
	ROOT=/
endif

BIN_DIR=$(ROOT)/usr/sbin
BIN_LIST=compartment
DOC_DIR=$(ROOT)/usr/share/doc/packages/compartment
DOC_LIST=README LICENCE CHANGES TODO
MAN_DIR=$(ROOT)/usr/share/man/man1
MAN_LIST=compartment.1

all:	compartment

compartment:	compartment.c
	${CC} ${OPTS} -o ${BIN_LIST} compartment.c
	strip ${BIN_LIST}

clean:
	rm -f ${BIN_LIST} core *~

install:	${BIN_LIST}
	install -o root -g root -m 751 ${BIN_LIST} ${BIN_DIR}
	install -d -o root -g root -m 755 ${DOC_DIR}
	install -o root -g root -m 644 ${DOC_LIST} ${DOC_DIR}
	install -d -o root -g root -m 755 ${MAN_DIR}
	install -o root -g root -m 644 ${MAN_LIST} ${MAN_DIR}

=== debian/changelog ===
compartment (1.3-1) unstable; urgency=medium

  * New upstream version
  * Update patches to new upstream version
    Closes: #1063450)
  * Maintain in Salvage team
    Closes: #1114619
  * Add watch file (even if not working to broken SSL at upstream site)
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.
  * Do not require root for installation
  * Secure URI in Homepage
  * Respect hardening options

 -- Andreas Tille <tille@debian.org>  Sun, 28 Sep 2025 10:06:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: compartment
 Section: admin
 Priority: optional
-Maintainer: Javier Fernandez-Sanguino Peña <jfs@debian.org>
-Build-Depends: debhelper (>=9)
-Homepage: http://www.baseline-security.de/downloads.html.en
-Rules-Requires-Root: binary-targets
-Standards-Version: 3.9.4
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: Javier Fernandez-Sanguino Peña <jfs@debian.org>,
+           Andreas Tille <tille@debian.org>
+Build-Depends: debhelper-compat (= 13), libcap-dev
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/salvage-team/compartment
+Vcs-Git: https://salsa.debian.org/salvage-team/compartment.git
+Homepage: https://www.mh-sec.de/downloads.html.en
 
 Package: compartment
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 include /usr/share/dpkg/default.mk
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
@@ -16,6 +16,20 @@
 # package maintainers to append LDFLAGS
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-# main packaging script based on debhelper syntax
 %:
 	dh $@
+
+override_dh_auto_install:
+	echo "Do not use upstream install procedure which requires root permission"
+
+override_dh_strip:
+	dh_strip
+	# @echo "Size before strip:"
+	# stat -c "%s" debian/compartment/usr/sbin/compartment
+	# strip --strip-unneeded debian/compartment/usr/sbin/compartment
+	# @echo "Size after strip:"
+	# stat -c "%s" debian/compartment/usr/sbin/compartment
+	## Check if debug sections are actually gone
+	# objdump -h debian/compartment/usr/sbin/compartment | grep debug || echo "No debug sections found"
+	# Force stripping all since somehow lintian claims non-stripped binary
+	strip --strip-all --remove-section=.comment --remove-section=.note debian/compartment/usr/sbin/compartment

=== debian/watch ===
version=4

# unfortunately SSL certificate is broken
https://www.mh-sec.de/downloads.html.en .*/downloads/compartment-(.+)\.tar\.gz

# Latest upstream obtained using
# wget --no-check-certificate https://www.mh-sec.de/downloads/compartment-1.3.tar.gz
